/**
 * Responsive Pro Options Scripts
 *
 * Custom scripts for Responsive Pros options
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category Responsive Pro
 * @package  Responsive Pro
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

jQuery(document).ready(function ($) {
	//doesn't wait for images, style sheets etc..
	//is called after the DOM has been initialized
	var _custom_media = true,
		_orig_send_attachment = wp.media.editor.send.attachment;

	$('.media-upload .button.upload').click(function (e) {
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var button = $(this);
		var id = button.attr('id').replace('_upload', '');
		_custom_media = true;
		wp.media.editor.send.attachment = function (props, attachment) {

			if (_custom_media) {
				$("#" + id).val(attachment.url);
			} else {
				return _orig_send_attachment.apply(this, [props, attachment]);
			}
			;
		}

		wp.media.editor.open(button);
		return false;
	});

	$('.add_media').on('click', function () {
		_custom_media = false;
	});

	jQuery('.responsive-layouts-wrapper img').click(function(e){

		jQuery('.grid.col-620.fit').find('img').removeClass('selected-grid');
		jQuery(this).addClass('selected-grid');
	});
});